import { Plugin, Runner } from '@morjs/utils';
/**
 * 多端编译的 style 解析和转换
 * 这里仅提供通用的处理, 端的差异由编译插件来解决
 * NOTE: 目前对于特定文件的引用解析放在了这里
 * 可能导致的问题是: 由于 分包动态优化 导致引用路径发生变更, 实际替换的路径文件并不存在
 * 如果出现了类似情况，可能要将依赖的解析前置到 entryBuilder 中
 */
export declare class StyleParserPlugin implements Plugin {
    name: string;
    apply(runner: Runner): void;
}
