import { EntryBuilderHelpers, Plugin, Runner, webpack } from '@morjs/utils';
import { CompilerUserConfig } from '../constants';
/**
 * Webpack assets 操作插件
 * 1. 额外 asset 输出
 * 2. asset 替换
 * 3. 无用文件删除, 如 由 css 文件生成的 css.js 文件等
 */
export declare class AssetsManipulatePlugin implements Plugin {
    name: string;
    apply(runner: Runner): void;
    applyWebpackPlugin(compiler: webpack.Compiler, entryBuilder: EntryBuilderHelpers, userConfig: CompilerUserConfig): void;
    emitExtraAssets(compilation: webpack.Compilation, entryBuilder: EntryBuilderHelpers): void;
}
